---
title: color
slug: Web/SVG/Attribute/color
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>color</code></strong> attribute is used to provide a potential indirect value, <code><span class="prop-value">currentcolor</span></code>, for the {{SVGAttr("fill")}}, {{SVGAttr("stroke")}}, {{SVGAttr("stop-color")}}, {{SVGAttr("flood-color")}}, and {{SVGAttr("lighting-color")}} attributes.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>color</code> can be used as a CSS property. See <a href="/en-US/docs/Web/CSS/color">CSS color</a> for further information.</p>

<p>As a presentation attribute, it can be applied to any element, but as noted above, it has no direct effect on SVG elements.</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/CSS/color_value">&lt;color&gt;</a></code> | <code>inherit</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td>Depends on user agent</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 100 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;g color="green"&gt;
    &lt;rect width="50" height="50" fill="currentcolor" /&gt;
    &lt;circle r="25" cx="70" cy="70" stroke="currentcolor" fill="none" stroke-width="5" /&gt;
  &lt;/g&gt;
&lt;/svg&gt;
</pre>

<p>{{EmbedLiveSample("Example", "100%", "110")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "painting.html#ColorProperty", "color")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Removed the restriction to which elements it applies.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "color.html#ColorProperty", "color")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.color")}}</p>
